> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getNetworkStatus

> Returns the status of a list of networks supported on Codex. Reference for the getNetworkStatus query in the Codex API: arguments, response fields, and usage.

## GraphQL

```
type Query {
  getNetworkStatus(
    networkIds: [Int!]!
  ): [MetadataResponse!]
}

type MetadataResponse {
  lastProcessedBlock: Int
  lastProcessedTimestamp: Int
  networkId: Int!
  networkName: String!
  transactionsPerSecond: Float
}
```

### Example

[Test this query in the Explorer →](https://docs.codex.io/explore.md)

```graphql theme={null}
{
  getNetworkStatus(networkIds: [1, 56, 1399811149]) {
    networkId
    networkName
    lastProcessedBlock
    lastProcessedTimestamp
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.